﻿namespace Janus
{
	/// <summary>
	/// Options for how network messages are delivered:  ReliableOrdered, ReliableUnordered or Unreliable.
	/// ReliableOrdered is used for establishing connections and creating and deleting timelines
	/// Unreliable is used for Timeline updates
	/// </summary>
	public enum DeliveryMode
	{
		/// <summary>
		/// Reliable ordered message delivery
		/// </summary>		
		ReliableOrdered,
		/// <summary>
		/// Reliable unordered message delivery
		/// </summary>		
		ReliableUnordered,
		/// <summary>
		/// Unreliable unordered message delivery
		/// </summary>		
		Unreliable
	}
}